From 540d3b6f88a314c18cdbaf29ee30f404cfa4ee38 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 15 Jan 2026 12:00:48 +0000
Subject: [PATCH] linux-firmware: upgrade 20251125 -> 20260110

---
 ...20251125.bb => linux-firmware_20260110.bb} | 682 +++++++++++++++++-
 1 file changed, 679 insertions(+), 3 deletions(-)
 rename meta/recipes-kernel/linux-firmware/{linux-firmware_20251125.bb => linux-firmware_20260110.bb} (86%)

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_20251125.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_20260110.bb
similarity index 86%
rename from meta/recipes-kernel/linux-firmware/linux-firmware_20251125.bb
rename to meta/recipes-kernel/linux-firmware/linux-firmware_20260110.bb
index ff84a3c464..a2fccd9f36 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_20251125.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_20260110.bb
@@ -1,3 +1,679 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE.amd-ucode
+# +++ LICENSE.amd-ucode
+# @@ -1,4 +1,4 @@
+# -Copyright (C) 2010-2022 Advanced Micro Devices, Inc., All rights reserved.
+# +Copyright (C) 2010-2025 Advanced Micro Devices, Inc., All rights reserved.
+#  
+#  Permission is hereby granted by Advanced Micro Devices, Inc. ("AMD"),
+#  free of any license fees, to any person obtaining a copy of this
+# --- WHENCE
+# +++ WHENCE
+# @@ -1032,31 +1032,31 @@
+#  
+#  File: intel/iwlwifi/iwlwifi-cc-a0-77.ucode
+#  Link: iwlwifi-cc-a0-77.ucode -> intel/iwlwifi/iwlwifi-cc-a0-77.ucode
+# -Version: 74.30b1cbd8.0
+# +Version: 74.f39cc7f9.0
+#  
+#  File: intel/iwlwifi/iwlwifi-Qu-b0-hr-b0-77.ucode
+#  Link: iwlwifi-Qu-b0-hr-b0-77.ucode -> intel/iwlwifi/iwlwifi-Qu-b0-hr-b0-77.ucode
+# -Version: 74.30b1cbd8.0
+# +Version: 74.f39cc7f9.0
+#  
+#  File: intel/iwlwifi/iwlwifi-Qu-b0-jf-b0-77.ucode
+#  Link: iwlwifi-Qu-b0-jf-b0-77.ucode -> intel/iwlwifi/iwlwifi-Qu-b0-jf-b0-77.ucode
+# -Version: 74.30b1cbd8.0
+# +Version: 74.f39cc7f9.0
+#  
+#  File: intel/iwlwifi/iwlwifi-Qu-c0-hr-b0-77.ucode
+#  Link: iwlwifi-Qu-c0-hr-b0-77.ucode -> intel/iwlwifi/iwlwifi-Qu-c0-hr-b0-77.ucode
+# -Version: 74.30b1cbd8.0
+# +Version: 74.f39cc7f9.0
+#  
+#  File: intel/iwlwifi/iwlwifi-Qu-c0-jf-b0-77.ucode
+#  Link: iwlwifi-Qu-c0-jf-b0-77.ucode -> intel/iwlwifi/iwlwifi-Qu-c0-jf-b0-77.ucode
+# -Version: 74.30b1cbd8.0
+# +Version: 74.f39cc7f9.0
+#  
+#  File: intel/iwlwifi/iwlwifi-QuZ-a0-hr-b0-77.ucode
+#  Link: iwlwifi-QuZ-a0-hr-b0-77.ucode -> intel/iwlwifi/iwlwifi-QuZ-a0-hr-b0-77.ucode
+# -Version: 74.30b1cbd8.0
+# +Version: 74.f39cc7f9.0
+#  
+#  File: intel/iwlwifi/iwlwifi-QuZ-a0-jf-b0-77.ucode
+#  Link: iwlwifi-QuZ-a0-jf-b0-77.ucode -> intel/iwlwifi/iwlwifi-QuZ-a0-jf-b0-77.ucode
+# -Version: 74.30b1cbd8.0
+# +Version: 74.f39cc7f9.0
+#  
+#  File: intel/iwlwifi/iwlwifi-ty-a0-gf-a0-77.ucode
+#  Link: iwlwifi-ty-a0-gf-a0-77.ucode -> intel/iwlwifi/iwlwifi-ty-a0-gf-a0-77.ucode
+# @@ -1088,7 +1088,7 @@
+#  
+#  File: intel/iwlwifi/iwlwifi-ty-a0-gf-a0-89.ucode
+#  Link: iwlwifi-ty-a0-gf-a0-89.ucode -> intel/iwlwifi/iwlwifi-ty-a0-gf-a0-89.ucode
+# -Version: 86.7207fc64.0
+# +Version: 86.df9556fc.0
+#  
+#  File: intel/iwlwifi/iwlwifi-so-a0-gf4-a0-77.ucode
+#  Link: iwlwifi-so-a0-gf4-a0-77.ucode -> intel/iwlwifi/iwlwifi-so-a0-gf4-a0-77.ucode
+# @@ -1120,7 +1120,7 @@
+#  
+#  File: intel/iwlwifi/iwlwifi-so-a0-gf4-a0-89.ucode
+#  Link: iwlwifi-so-a0-gf4-a0-89.ucode -> intel/iwlwifi/iwlwifi-so-a0-gf4-a0-89.ucode
+# -Version: 86.7207fc64.0
+# +Version: 86.df9556fc.0
+#  
+#  File: intel/iwlwifi/iwlwifi-so-a0-gf-a0-77.ucode
+#  Link: iwlwifi-so-a0-gf-a0-77.ucode -> intel/iwlwifi/iwlwifi-so-a0-gf-a0-77.ucode
+# @@ -1152,7 +1152,7 @@
+#  
+#  File: intel/iwlwifi/iwlwifi-so-a0-gf-a0-89.ucode
+#  Link: iwlwifi-so-a0-gf-a0-89.ucode -> intel/iwlwifi/iwlwifi-so-a0-gf-a0-89.ucode
+# -Version: 86.7207fc64.0
+# +Version: 86.df9556fc.0
+#  
+#  File: intel/iwlwifi/iwlwifi-so-a0-hr-b0-77.ucode
+#  Link: iwlwifi-so-a0-hr-b0-77.ucode -> intel/iwlwifi/iwlwifi-so-a0-hr-b0-77.ucode
+# @@ -1180,7 +1180,7 @@
+#  
+#  File: intel/iwlwifi/iwlwifi-so-a0-hr-b0-89.ucode
+#  Link: iwlwifi-so-a0-hr-b0-89.ucode -> intel/iwlwifi/iwlwifi-so-a0-hr-b0-89.ucode
+# -Version: 86.7207fc64.0
+# +Version: 86.df9556fc.0
+#  
+#  File: intel/iwlwifi/iwlwifi-so-a0-jf-b0-77.ucode
+#  Link: iwlwifi-so-a0-jf-b0-77.ucode -> intel/iwlwifi/iwlwifi-so-a0-jf-b0-77.ucode
+# @@ -1275,6 +1275,10 @@
+#  Link: iwlwifi-gl-c0-fm-c0-101.ucode -> intel/iwlwifi/iwlwifi-gl-c0-fm-c0-101.ucode
+#  Version: 98.6ef20b19.0
+#  
+# +File: intel/iwlwifi/iwlwifi-gl-c0-fm-c0-c101.ucode
+# +Link: iwlwifi-gl-c0-fm-c0-c101.ucode -> intel/iwlwifi/iwlwifi-gl-c0-fm-c0-c101.ucode
+# +Version: 101.6e695a70.0
+# +
+#  File: intel/iwlwifi/iwlwifi-gl-c0-fm-c0.pnvm
+#  Link: iwlwifi-gl-c0-fm-c0.pnvm -> intel/iwlwifi/iwlwifi-gl-c0-fm-c0.pnvm
+#  
+# @@ -1310,6 +1314,10 @@
+#  Link: iwlwifi-bz-b0-fm-c0-101.ucode -> intel/iwlwifi/iwlwifi-bz-b0-fm-c0-101.ucode
+#  Version: 98.6ef20b19.0
+#  
+# +File: intel/iwlwifi/iwlwifi-bz-b0-fm-c0-c101.ucode
+# +Link: iwlwifi-bz-b0-fm-c0-c101.ucode -> intel/iwlwifi/iwlwifi-bz-b0-fm-c0-c101.ucode
+# +Version: 101.6e695a70.0
+# +
+#  File: intel/iwlwifi/iwlwifi-bz-b0-fm-c0.pnvm
+#  Link: iwlwifi-bz-b0-fm-c0.pnvm -> intel/iwlwifi/iwlwifi-bz-b0-fm-c0.pnvm
+#  
+# @@ -1323,7 +1331,7 @@
+#  
+#  File: intel/iwlwifi/iwlwifi-ma-b0-gf-a0-89.ucode
+#  Link: iwlwifi-ma-b0-gf-a0-89.ucode -> intel/iwlwifi/iwlwifi-ma-b0-gf-a0-89.ucode
+# -Version: 86.7207fc64.0
+# +Version: 86.df9556fc.0
+#  
+#  File: intel/iwlwifi/iwlwifi-ma-b0-gf-a0.pnvm
+#  Link: iwlwifi-ma-b0-gf-a0.pnvm -> intel/iwlwifi/iwlwifi-ma-b0-gf-a0.pnvm
+# @@ -1338,7 +1346,7 @@
+#  
+#  File: intel/iwlwifi/iwlwifi-ma-b0-gf4-a0-89.ucode
+#  Link: iwlwifi-ma-b0-gf4-a0-89.ucode -> intel/iwlwifi/iwlwifi-ma-b0-gf4-a0-89.ucode
+# -Version: 86.7207fc64.0
+# +Version: 86.df9556fc.0
+#  
+#  File: intel/iwlwifi/iwlwifi-ma-b0-gf4-a0.pnvm
+#  Link: iwlwifi-ma-b0-gf4-a0.pnvm -> intel/iwlwifi/iwlwifi-ma-b0-gf4-a0.pnvm
+# @@ -1353,11 +1361,23 @@
+#  
+#  File: intel/iwlwifi/iwlwifi-ma-b0-hr-b0-89.ucode
+#  Link: iwlwifi-ma-b0-hr-b0-89.ucode -> intel/iwlwifi/iwlwifi-ma-b0-hr-b0-89.ucode
+# -Version: 86.7207fc64.0
+# +Version: 86.df9556fc.0
+#  
+#  File: intel/iwlwifi/iwlwifi-sc-a0-wh-b0-101.ucode
+#  Link: iwlwifi-sc-a0-wh-b0-101.ucode -> intel/iwlwifi/iwlwifi-sc-a0-wh-b0-101.ucode
+#  Version: 98.80584591.0
+# +
+# +File: intel/iwlwifi/iwlwifi-sc-a0-wh-b0-c101.ucode
+# +Link: iwlwifi-sc-a0-wh-b0-c101.ucode -> intel/iwlwifi/iwlwifi-sc-a0-wh-b0-c101.ucode
+# +Version: 101.6e695a70.0
+# +
+# +File: intel/iwlwifi/iwlwifi-sc-a0-gf-a0-100.ucode
+# +Link: iwlwifi-sc-a0-gf-a0-100.ucode -> intel/iwlwifi/iwlwifi-sc-a0-gf-a0-100.ucode
+# +Version: 97.de068435d.0
+# +
+# +File: intel/iwlwifi/iwlwifi-sc-a0-fm-c0-c101.ucode
+# +Link: iwlwifi-sc-a0-fm-c0-c101.ucode -> intel/iwlwifi/iwlwifi-sc-a0-fm-c0-c101.ucode
+# +Version: 101.6e695a70.0
+#  
+#  Licence: Redistributable. See LICENCE.iwlwifi_firmware for details
+#  
+# @@ -2120,6 +2140,16 @@
+#  
+#  File: airoha/EthMD32.dm.bin
+#  File: airoha/EthMD32.DSP.bin
+# +
+# +Licence: Redistributable. See LICENSE.airoha for details.
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: an8811hb - Airoha 2.5G Ethernet Phy
+# +
+# +File: airoha/an8811hb/EthMD32_CRC.DM.bin
+# +File: airoha/an8811hb/EthMD32_CRC.DSP.bin
+# +Version: 25110702
+#  
+#  Licence: Redistributable. See LICENSE.airoha for details.
+#  
+# @@ -3941,7 +3971,7 @@
+#  File: ath11k/QCA6698AQ/hw2.1/board-2.bin
+#  File: ath11k/QCA6698AQ/hw2.1/amss.bin
+#  File: ath11k/QCA6698AQ/hw2.1/m3.bin
+# -Version: WLAN.HSP.1.1-04650-QCAHSPSWPL_V1_V2_SILICONZ_IOE-2
+# +Version: WLAN.HSP.1.1-04866-QCAHSPSWPL_V1_V2_SILICONZ_IOE-1
+#  File: ath11k/QCA6698AQ/hw2.1/Notice.txt
+#  
+#  Licence: Redistributable. See LICENSE.QualcommAtheros_ath10k for details
+# @@ -4226,17 +4256,19 @@
+#  File: intel/ibt-1040-2120.ddc
+#  Version: BT_SolarJfp_REL151_22.180.2405.151
+#  
+# -File: intel/ibt-0093-0291.sfi
+# -File: intel/ibt-0093-0291.ddc
+#  File: intel/ibt-0093-0041.sfi
+#  File: intel/ibt-0093-0041.ddc
+# -File: intel/ibt-0291-0291.sfi
+# -File: intel/ibt-0291-0291.ddc
+#  File: intel/ibt-0093-4150.sfi
+#  File: intel/ibt-0093-4150.ddc
+#  File: intel/ibt-0093-1050.sfi
+#  File: intel/ibt-0093-1050.ddc
+# -Version: BT_BlazarU_S_REL93327_23.170.25375.93327
+# +Version: BT_BlazaruHrpGfp_S_REL191_24.00.25461.191
+# +
+# +File: intel/ibt-0291-0291.sfi
+# +File: intel/ibt-0291-0291.ddc
+# +File: intel/ibt-0093-0291.sfi
+# +File: intel/ibt-0093-0291.ddc
+# +Version: BT_BlazarU_S_REL97345_24.10.25461.97345
+#  
+#  File: intel/ibt-0180-0041.sfi
+#  File: intel/ibt-0180-0041.ddc
+# @@ -4247,7 +4279,6 @@
+#  Version: BT_Magnetar_REL103882_23.50.25205.103882
+#  
+#  File: intel/ibt-0190-0291.sfi
+# -File: intel/ibt-0190-0291-iml.sfi
+#  File: intel/ibt-0190-0291.ddc
+#  File: intel/ibt-0190-0041.sfi
+#  File: intel/ibt-0190-0041-iml.sfi
+# @@ -4256,11 +4287,31 @@
+#  File: intel/ibt-0190-0041-pci.sfi
+#  File: intel/ibt-0190-0041-usb.ddc
+#  File: intel/ibt-0190-0041-usb.sfi
+# +Version: BT_BlazariGfp_S_REL145_24.00.25461.145
+# +
+# +File: intel/ibt-0190-0291-iml.sfi
+# +File: intel/ibt-0190-0291-usb.ddc
+# +File: intel/ibt-0190-0291-usb.sfi
+#  File: intel/ibt-0190-0291-pci.ddc
+#  File: intel/ibt-0190-0291-pci.sfi
+# -File: intel/ibt-0190-0291-usb.ddc
+# -File: intel/ibt-0190-0291-usb.sfi
+# -Version: BT_BlazarI_S_REL100876_23.170.25375.100876
+# +Version: BT_BlazarI_S_REL104829_24.10.25461.104829
+# +
+# +File: intel/ibt-00a0-01a1-iml.sfi
+# +File: intel/ibt-00a0-01a1-pci.ddc
+# +File: intel/ibt-00a0-01a1-pci.sfi
+# +File: intel/ibt-00a0-01a1-usb.ddc
+# +File: intel/ibt-00a0-01a1-usb.sfi
+# +File: intel/ibt-00a0-0291-iml.sfi
+# +File: intel/ibt-00a0-0291-pci.ddc
+# +File: intel/ibt-00a0-0291-pci.sfi
+# +File: intel/ibt-00a0-0291-usb.ddc
+# +File: intel/ibt-00a0-0291-usb.sfi
+# +Version: BT_Scorpius_S_REL68935_24.10.25461.68935
+# +
+# +File: intel/ibt-00a0-0041-iml.sfi
+# +File: intel/ibt-00a0-0041-pci.ddc
+# +File: intel/ibt-00a0-0041-pci.sfi
+# +Version: BT_Scorpius_S_REL63418_24.00.25374.63418
+#  
+#  Licence: Redistributable. See LICENCE.ibt_firmware for details
+#  
+# @@ -4390,7 +4441,7 @@
+#  RawFile: amd-ucode/microcode_amd_fam19h.bin
+#  Version: 2025-10-27
+#  RawFile: amd-ucode/microcode_amd_fam1ah.bin
+# -Version: 2025-11-13
+# +Version: 2025-12-02
+#  File: amd-ucode/README
+#  
+#  License: Redistributable. See LICENSE.amd-ucode for details
+# @@ -4808,6 +4859,16 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# +Driver: btqca - Qualcomm Atheros Bluetooth support for QCA_QCC2072 chip
+# +
+# +File: qca/ornbtfw11.tlv
+# +Version: BTFW.ORNE.1.1.0-00202-PATCH-2_DEF
+# +File: qca/ornnv11.bin
+# +
+# +Licence: Redistributable. See LICENSE.QualcommAtheros_ath10k and qca/NOTICE.txt for details
+# +
+# +-------------------------------------------------------------------------
+# +
+#  Driver: qca - Qualcomm Atheros Bluetooth support for WCN3950 chips
+#  
+#  File: qca/cmbtfw12.tlv
+# @@ -4853,15 +4914,15 @@
+#  Driver: qca - Qualcomm Atheros Bluetooth support for WCN6750 chips
+#  
+#  File: qca/msbtfw11.mbn
+# -Version: BTFW.MOSELLE.1.1.3-00100-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+#  File: qca/msbtfw11.tlv
+# -Version: BTFW.MOSELLE.1.1.3-00100-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+#  File: qca/msnv11.bin
+# -Version: BTFW.MOSELLE.1.1.3-00100-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+#  File: qca/msnv11.b0a
+# -Version: BTFW.MOSELLE.1.1.3-00100-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+#  File: qca/msnv11.b09
+# -Version: BTFW.MOSELLE.1.1.3-00100-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+#  
+#  Licence: Redistributable. See LICENSE.QualcommAtheros_ath10k and qca/NOTICE.txt for details
+#  
+# @@ -5377,10 +5438,13 @@
+#  Version: DMC API/APB ver 2 release 29 for Xe2LPD
+#  
+#  File: i915/xe3lpd_dmc.bin
+# -Version: DMC API/APB ver 2 release 32 for Xe3LPD
+# +Version: DMC API/APB ver 2 release 33 for Xe3LPD
+#  
+#  File: i915/xe3lpd_3002_dmc.bin
+# -Version: DMC API/APB ver 2 release 27 for Xe3LPD_3002
+# +Version: DMC API/APB ver 2 release 28 for Xe3LPD_3002
+# +
+# +File: i915/xe3p_lpd_dmc.bin
+# +Version: DMC API/APB ver 2 release 33 for Xe3p_LPD
+#  
+#  License: Redistributable. See LICENSE.i915 for details
+#  --------------------------------------------------------------------------
+# @@ -5397,7 +5461,7 @@
+#  Version: HuC API/APB ver 9.4.13 for Lunarlake
+#  
+#  File: xe/bmg_guc_70.bin
+# -Version: GuC API/APB ver 70.53.0 for Battlemage
+# +Version: GuC API/APB ver 70.55.3 for Battlemage
+#  
+#  File: xe/bmg_huc.bin
+#  Version: HuC API/APB ver 8.2.10 for Battlemage
+# @@ -5406,7 +5470,7 @@
+#  Version: fan_control ver 203.0.0.0 for Battlemage
+#  
+#  File: xe/ptl_guc_70.bin
+# -Version: GuC API/APB ver 70.53.0 for Pantherlake
+# +Version: GuC API/APB ver 70.55.3 for Pantherlake
+#  
+#  File: xe/ptl_huc.bin
+#  Version: HuC API/APB ver 10.3.3 for Pantherlake
+# @@ -6158,9 +6222,9 @@
+#  Driver: mt7920 - MediaTek MT7920 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7961_patch_mcu_1a_2_hdr.bin
+# -Version: 20251020150843a
+# +Version: 20260105151012a
+#  File: mediatek/WIFI_RAM_CODE_MT7961_1a.bin
+# -Version: 20251020151401
+# +Version: 20260105151805
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6169,7 +6233,7 @@
+#  Driver: mt7920 - MediaTek MT7920 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7961_1a_2_hdr.bin
+# -Version: 20251020151255
+# +Version: 20260105151350
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6198,9 +6262,9 @@
+#  Driver: mt7922 - MediaTek MT7922 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
+# -Version: 20251118163143a
+# +Version: 20260106153416a
+#  File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
+# -Version: 20251118163139
+# +Version: 20260106153428
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6209,7 +6273,7 @@
+#  Driver: mt7922 - MediaTek MT7922 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
+# -Version: 20251118163447
+# +Version: 20260106153735
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6218,9 +6282,9 @@
+#  Driver: mt7925 - MediaTek MT7925 Wireless MACs
+#  
+#  File: mediatek/mt7925/WIFI_MT7925_PATCH_MCU_1_1_hdr.bin
+# -Version: 20251015212927a
+# +Version: 20260106153007a
+#  File: mediatek/mt7925/WIFI_RAM_CODE_MT7925_1_1.bin
+# -Version: 20251015212814
+# +Version: 20260106152802
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6229,7 +6293,7 @@
+#  Driver: mt7925 - MediaTek MT7925 bluetooth chipset
+#  
+#  File: mediatek/mt7925/BT_RAM_CODE_MT7925_1_1_hdr.bin
+# -Version: 20251015213201
+# +Version: 20260106153314
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6456,7 +6520,7 @@
+#  File: qcom/venus-5.4/venus.mbn
+#  Link: qcom/venus-5.4/venus.mdt -> venus.mbn
+#  
+# -Version: VIDEO.VE.5.4-00062-PROD-1
+# +Version: VIDEO.VE.5.4-00063-PROD-1
+#  
+#  File: qcom/venus-6.0/venus.mbn
+#  
+# @@ -6471,7 +6535,7 @@
+#  Link: qcom/vpu-1.0/venus.mbn -> ../vpu/vpu20_p4.mbn
+#  Link: qcom/vpu-1.0/venus.mdt -> ../vpu/vpu20_p4.mbn
+#  
+# -Version: VIDEO.VPU.1.0-00119-PROD-1
+# +Version: VIDEO.VPU.1.0-00119
+#  
+#  Licence: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+#  
+# @@ -6489,7 +6553,7 @@
+#  File: qcom/vpu/vpu30_p4_s7.mbn
+#  Link: qcom/vpu/vpu30_p4.mbn -> vpu30_p4_s7.mbn
+#  
+# -Version: VIDEO.VPU.3.1-0096
+# +Version: VIDEO.VPU.3.1-0095
+#  
+#  File: qcom/vpu/vpu30_p4_s6.mbn
+#  
+# @@ -6546,6 +6610,7 @@
+#  Version: 1.87.01
+#  File: qcom/a530_pm4.fw
+#  File: qcom/a530v3_gpmu.fw2
+# +Version v2.04 (2015-08-31)
+#  File: qcom/apq8096/a530_zap.mbn
+#  Link: qcom/a530_zap.mdt -> apq8096/a530_zap.mbn
+#  File: qcom/qrb4210/a610_zap.mbn
+# @@ -6561,6 +6626,10 @@
+#  File: qcom/a630_sqe.fw
+#  Version: v2.07
+#  File: qcom/sdm845/a630_zap.mbn
+# +File: qcom/a640_gmu.bin
+# +Version: v1.05
+# +File: qcom/sm8150/a640_zap.mbn
+# +Version: v0.20
+#  File: qcom/a650_gmu.bin
+#  Version: v2.1.8
+#  File: qcom/a650_sqe.fw
+# @@ -6582,18 +6651,46 @@
+#  File: qcom/a702_sqe.fw
+#  Version: v0.47
+#  File: qcom/qcm2290/a702_zap.mbn
+# +File: qcom/a730_sqe.fw
+# +Version: v1.81
+# +File: qcom/gmu_gen70000.bin
+# +Version: v4.00.07
+# +File: qcom/sm8450/a730_zap.mbn
+# +Version: v0.14
+# +File: qcom/a740_sqe.fw
+# +Version: v1.81
+# +File: qcom/gmu_gen70200.bin
+# +Version: v4.01.09
+# +File: qcom/sm8550/a740_zap.mbn
+# +Version: v0.11
+#  File: qcom/gen70500_gmu.bin
+#  Version: v4.03.11
+#  File: qcom/gen70500_sqe.fw
+#  Version: v1.62
+#  File: qcom/x1e80100/gen70500_zap.mbn
+#  Version: v0.15
+# +File: qcom/gen70900_aqe.fw
+# +Version: v0.23
+# +File: qcom/gen70900_sqe.fw
+# +Version: v1.81
+# +File: qcom/gmu_gen70900.bin
+# +Version: v4.02.14
+# +File: qcom/sm8650/gen70900_zap.mbn
+# +Version: v0.13
+#  File: qcom/gen71500_gmu.bin
+#  Version: v4.06.04
+#  File: qcom/gen71500_sqe.fw
+#  Version: v1.81
+#  File: qcom/x1p42100/gen71500_zap.mbn
+#  Version: v0.13
+# +File: qcom/gen80000_aqe.fw
+# +Version: v0.14
+# +File: qcom/gen80000_gmu.bin
+# +Version: v5.01.19
+# +File: qcom/gen80000_sqe.fw
+# +Version: v0.77
+# +File: qcom/sm8750/gen80000_zap.mbn
+# +Version: v0.02
+#  File: qcom/gen80200_aqe.fw
+#  Version: v0.25
+#  File: qcom/gen80200_gmu.bin
+# @@ -6656,7 +6753,7 @@
+#  RawFile: qcom/qcm6490/adspua.jsn
+#  RawFile: qcom/qcm6490/battmgr.jsn
+#  File: qcom/qcm6490/cdsp.mbn
+# -Version: CDSP.HT.2.5.c3-00103-KODIAK-1
+# +Version: CDSP.HT.2.5.c3-00130-KODIAK-1
+#  RawFile: qcom/qcm6490/cdspr.jsn
+#  File: qcom/qcm6490/ipa_fws.mbn
+#  Link: qcom/qcs6490/adsp.mbn -> ../qcm6490/adsp.mbn
+# @@ -6732,13 +6829,6 @@
+#  Version: video-firmware.1.1-b158087140355883dc40b004032856a8feb5d565
+#  File: qcom/x1e80100/LENOVO/21N1/qcvss8380.mbn
+#  Version: vfw-3.1:rel0085-070fa3311d9ef968015fee7fea07198d7eb208a1
+# -File: qcom/x1e80100/adsp.mbn
+# -File: qcom/x1e80100/adsp_dtb.mbn
+# -Version: ADSP.HT.5.9-00796-HAMOA-1
+# -RawFile: qcom/x1e80100/adspr.jsn
+# -RawFile: qcom/x1e80100/adsps.jsn
+# -RawFile: qcom/x1e80100/adspua.jsn
+# -RawFile: qcom/x1e80100/battmgr.jsn
+#  RawFile: qcom/x1e80100/LENOVO/21N1/adspua.jsn
+#  File: qcom/x1e80100/cdsp.mbn
+#  File: qcom/x1e80100/cdsp_dtb.mbn
+# @@ -6802,31 +6892,30 @@
+#  File: qcom/kaanapali/soccp_dtb.mbn
+#  Version: SOCCP.FW.2.1-00204-KAANAPALI_SOCCP_PACK-1
+#  RawFile: qcom/kaanapali/soccpr.jsn
+# +File: qcom/qcs8300/adsp.mbn
+# +Version: DSP.AT.1.0.1-00170-LEMANS-1
+# +RawFile: qcom/qcs8300/adspr.jsn
+# +RawFile: qcom/qcs8300/adspua.jsn
+# +File: qcom/qcs8300/cdsp0.mbn
+# +Version: DSP.AT.1.0.1-00170-LEMANS-1
+# +RawFile: qcom/qcs8300/cdspr.jsn
+# +File: qcom/qcs8300/gpdsp0.mbn
+# +Version: DSP.AT.1.0.1-00170-LEMANS-1
+#  File: qcom/sa8775p/adsp.mbn
+# -Version: DSP.AT.1.0.1-00163-LEMANS-1
+# +Version: DSP.AT.1.0.1-00190-LEMANS-1
+#  RawFile: qcom/sa8775p/adspr.jsn
+#  RawFile: qcom/sa8775p/adspua.jsn
+#  File: qcom/sa8775p/cdsp0.mbn
+# -Version: DSP.AT.1.0.1-00163-LEMANS-1
+# +Version: DSP.AT.1.0.1-00190-LEMANS-1
+#  File: qcom/sa8775p/cdsp1.mbn
+# -Version: DSP.AT.1.0.1-00163-LEMANS-1
+# +Version: DSP.AT.1.0.1-00190-LEMANS-1
+#  RawFile: qcom/sa8775p/cdspr.jsn
+#  File: qcom/sa8775p/gpdsp0.mbn
+# -Version: DSP.AT.1.0.1-00163-LEMANS-1
+# +Version: DSP.AT.1.0.1-00190-LEMANS-1
+#  File: qcom/sa8775p/gpdsp1.mbn
+# -Version: DSP.AT.1.0.1-00163-LEMANS-1
+# +Version: DSP.AT.1.0.1-00190-LEMANS-1
+#  RawFile: qcom/sa8775p/gpdsp1r.jsn
+#  RawFile: qcom/sa8775p/gpdspr.jsn
+# -File: qcom/qcs8300/adsp.mbn
+# -Version: DSP.AT.1.0.1-00163-LEMANS-1
+# -RawFile: qcom/qcs8300/adspr.jsn
+# -RawFile: qcom/qcs8300/adspua.jsn
+# -File: qcom/qcs8300/cdsp0.mbn
+# -Version: DSP.AT.1.0.1-00163-LEMANS-1
+# -RawFile: qcom/qcs8300/cdspr.jsn
+# -File: qcom/qcs8300/gpdsp0.mbn
+# -Version: DSP.AT.1.0.1-00163-LEMANS-1
+# -
+#  File: qcom/sm8750/adsp.mbn
+#  File: qcom/sm8750/adsp_dtb.mbn
+#  Version: LPAIDSP.HT.1.2.c1-00379-PAKALA-1
+# @@ -6838,6 +6927,13 @@
+#  File: qcom/sm8750/cdsp_dtb.mbn
+#  Version: CDSP.HT.3.1-00883-PAKALA-1
+#  RawFile: qcom/sm8750/cdspr.jsn
+# +File: qcom/x1e80100/adsp.mbn
+# +File: qcom/x1e80100/adsp_dtb.mbn
+# +Version: ADSP.HT.5.9-00828-HAMOA-1
+# +RawFile: qcom/x1e80100/adspr.jsn
+# +RawFile: qcom/x1e80100/adsps.jsn
+# +RawFile: qcom/x1e80100/adspua.jsn
+# +RawFile: qcom/x1e80100/battmgr.jsn
+#  
+#  Licence: Redistributable. See LICENSE.qcom-2 and qcom/NOTICE.txt for details
+#  
+# @@ -6935,6 +7031,10 @@
+#  File: mellanox/mlxsw_spectrum2-29.2014.4012.mfa2
+#  File: mellanox/mlxsw_spectrum3-30.2014.4012.mfa2
+#  File: mellanox/mlxsw_spectrum4-34.2014.4012.mfa2
+# +File: mellanox/mlxsw_spectrum-13.2016.3900.mfa2
+# +File: mellanox/mlxsw_spectrum2-29.2016.3900.mfa2
+# +File: mellanox/mlxsw_spectrum3-30.2016.3900.mfa2
+# +File: mellanox/mlxsw_spectrum4-34.2016.3900.mfa2
+#  
+#  Licence: Redistributable. See LICENSE.mellanox for details.
+#  
+# @@ -7907,12 +8007,15 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9f.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8da7.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e36.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e9c.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-103c8d9f-spkid0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-103c8d9f-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8da7-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8da7-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e36-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e36-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e9c-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e9c-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8da0.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8da1.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e37.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# @@ -7929,6 +8032,8 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9c.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9d.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9e.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e9d.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e9e.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-103c8d9b-spkid0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-103c8d9b-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9c-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid0.bin
+# @@ -7937,12 +8042,17 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9d-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9e-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9e-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e9d-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e9d-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e9e-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e9e-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e11.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e12.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e13.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e60.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e61.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e62.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8f57.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e12-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+# @@ -7955,6 +8065,8 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e61-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e62-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8e62-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8f57-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8f57-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10280cbd.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10280cbe.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10280cbf.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# @@ -9000,7 +9112,6 @@
+#  File: qcom/qdu100/efs3.bin
+#  File: qcom/qdu100/fw_csm_gsi_3.0.elf
+#  File: qcom/qdu100/hypvm.mbn
+# -File: qcom/qdu100/kernel_boot.elf
+#  File: qcom/qdu100/mdmddr.mbn
+#  File: qcom/qdu100/multi_image.mbn
+#  File: qcom/qdu100/multi_image_qti.mbn
+# @@ -9021,12 +9132,16 @@
+#  Driver: intel_vpu - Intel NPU driver
+#  
+#  File: intel/vpu/vpu_37xx_v1.bin
+# -Version: 20250723*MTL_CLIENT_SILICON-NVR+NN-deployment*52e7ebee50a93a07d14a1f162226cd55ad3999f0*52e7ebee50a93a07d14a1f162226cd55ad3999f0*52e7ebee50a
+# +Version: 20251113*MTL_CLIENT_SILICON-NVR+NN-deployment*72f907ffc780df5579a2fed65afc4944da8b0e44*72f907ffc780df5579a2fed65afc4944da8b0e44*72f907ffc78
+#  Link: intel/vpu/vpu_37xx_v0.0.bin -> vpu_37xx_v1.bin
+#  
+#  File: intel/vpu/vpu_40xx_v1.bin
+# -Version: Jul 23 2025*NPU40xx*build/ci/npu-fw-ci-main-20250721_233537-27032-2-g52e7ebee50a*52e7ebee50a93a07d14a1f162226cd55ad3999f0
+# +Version: Nov 13 2025*NPU40xx*ci_tag_ud202548_vpu_rc_20251112_1901-1-g72f907ffc78*72f907ffc780df5579a2fed65afc4944da8b0e44
+#  Link: intel/vpu/vpu_40xx_v0.0.bin -> vpu_40xx_v1.bin
+# +
+# +File: intel/vpu/vpu_50xx_v1.bin
+# +Version: Nov 13 2025*NPU50xx*ci_tag_ud202548_vpu_rc_20251112_1901-1-g72f907ffc78*72f907ffc780df5579a2fed65afc4944da8b0e44
+# +Link: intel/vpu/vpu_50xx_v0.0.bin -> vpu_50xx_v1.bin
+#  
+#  License: Redistributable. See LICENSE.intel_vpu for details
+#  
+# @@ -9060,3 +9175,10 @@
+#  File: qcom/sdx35/foxconn/xbl_s_devprg_ns.melf
+#  
+#  License: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+# +--------------------------------------------------------------------------
+# +
+# +Driver: pcie-rcar-gen4 - Renesas R-Car Gen4 PCIe controller
+# +
+# +File: rcar_gen4_pcie.bin
+# +
+# +Licence: Redistributable. See LICENCE.r8a779g_pcie_phy for details.
+# 
+#
+
 SUMMARY = "Firmware files for use with Linux kernel"
 HOMEPAGE = "https://www.kernel.org/"
 DESCRIPTION = "Linux firmware is a package distributed alongside the Linux kernel \
@@ -199,7 +875,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENSE.amdnpu;md5=ea42c0f38f2d42aad08bd50c822460dc \
                     file://LICENSE.amd_pmf;md5=a2589a05ea5b6bd2b7f4f623c7e7a649 \
                     file://LICENSE.amd-sev;md5=e750538791a8be0b7249c579edefb035 \
-                    file://LICENSE.amd-ucode;md5=6ca90c57f7b248de1e25c7f68ffc4698 \
+                    file://LICENSE.amd-ucode;md5=450f217aadc787514165e9568652d700 \
                     file://LICENSE.amlogic;md5=80e4e3f27def8bc4b232009c3a587c07 \
                     file://LICENSE.amlogic_vdec;md5=dc44f59bf64a81643e500ad3f39a468a \
                     file://LICENSE.amphion_vpu;md5=2bcdc00527b2d0542bd92b52aaec2b60 \
@@ -308,7 +984,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.xc5000c;md5=12b02efa3049db65d524aeb418dd87ca \
                     file://LICENSE.xe;md5=c674d38774242bc0c528214721488118 \
                     file://wfx/LICENCE.wf200;md5=4d1beff00d902c05c9c7e95a5d8eb52d \
-                    file://WHENCE;md5=${WHENCE_CHKSUM} \
+                    file://WHENCE;md5=dec69e98d9a03fca5a9793e8d24c0b8d \
                     "
 # WHENCE checksum is defined separately to ease overriding it if
 # class-devupstream is selected.
@@ -449,7 +1125,7 @@ SRC_URI:class-devupstream = "git://git.kernel.org/pub/scm/linux/kernel/git/firmw
 # Pin this to the 20220509 release, override this in local.conf
 SRCREV:class-devupstream ?= "b19cbdca78ab2adfd210c91be15a22568e8b8cae"
 
-SRC_URI[sha256sum] = "eb807a01c52882ac97ef5b678d4a246b209e6165ac1287d62a5f93a09ee93cd2"
+SRC_URI[sha256sum] = "48e05166db539f4ee8d29ac9d236a94442c5b1b1a160a966f6fe6b42bd714331"
 
 inherit allarch
 
-- 
2.47.1

